# Class AtomDisplayLabel

java.lang.Object
jme.AtomDisplayLabel

public class AtomDisplayLabel extends Object

Author:
  bruno

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`alignment`
`Rectangle2D.Double`
`atomLabelBoundingBox`
`double`
`atomMapX`
`double`
`atomMapY`
`double`
`fullAtomWidthLabel`
`double`
`labelX`
`double`
`labelY`
`String`
`mapString`
`boolean`
`noLabelAtom`
`double`
`smallAtomWidthLabel`
`String`
`str`
`int[][]`
`subscripts`
`int[][]`
`superscripts`

## Constructor Summary

Constructors
Constructor
Description
`AtomDisplayLabel(double x, double y, String z, int an, int nv, int sbo, int nh, int q, int iso, int map, int alignment, FontMetrics fm, double h, boolean showHs)`

## Method Summary

Modifier and Type
Method
Description
`void`
`draw(Graphics g)`
`void`
`drawRect(Graphics g)`
`void`
`fillRect(Graphics g)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### smallAtomWidthLabel

public double smallAtomWidthLabel

### fullAtomWidthLabel

public double fullAtomWidthLabel

### alignment

public int alignment

### noLabelAtom

public boolean noLabelAtom

### atomLabelBoundingBox

public Rectangle2D.Double atomLabelBoundingBox

### labelX

public double labelX

### labelY

public double labelY

### str

public String str

### atomMapY

public double atomMapY

### atomMapX

public double atomMapX

### mapString

public String mapString

### subscripts

public int[][] subscripts

### superscripts

public int[][] superscripts

## Constructor Details

### AtomDisplayLabel

public AtomDisplayLabel(double x, double y, String z, int an, int nv, int sbo, int nh, int q, int iso, int map, int alignment, FontMetrics fm, double h, boolean showHs)

## Method Details

### draw

public void draw(Graphics g)

### drawRect

public void drawRect(Graphics g)

### fillRect

public void fillRect(Graphics g)